#!/bin/sh
config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# Keep same perms on rc.pcmcia.new:
if [ -e etc/rc.d/rc.pcmcia ]; then
  cp -a etc/rc.d/rc.pcmcia etc/rc.d/rc.pcmcia.new.incoming
  cat etc/rc.d/rc.pcmcia.new > etc/rc.d/rc.pcmcia.new.incoming
  mv etc/rc.d/rc.pcmcia.new.incoming etc/rc.d/rc.pcmcia.new
fi

config etc/rc.d/rc.pcmcia.new
config etc/pcmcia/config.opts.new
config etc/udev/rules.d/60-pcmcia.rules.new
( cd usr/man/man8 ; rm -rf lspcmcia.8.gz )
( cd usr/man/man8 ; ln -sf pccardctl.8.gz lspcmcia.8.gz )
( cd sbin ; rm -rf lspcmcia )
( cd sbin ; ln -sf pccardctl lspcmcia )
